{ ... }:
{
  kropcloud =
    let
      serverIp = "192.168.1.170";
    in
    {
      services = {
        k3s = {
          enable = true;
          isMaster = true;
        };
      };
      networking = {
        ipv4 = {
          address = serverIp;
          prefixLength = 24;
          defaultGateway = "192.168.1.1";
          dns = ["192.168.1.250" "1.1.1.1"];
        };
      };
    };
}
